@model be_wise.Models.Dashboard.PostIndexViewModel

@{
    ViewBag.Title = "Posty";
    Layout = "_DashboardLayout";
}

<div class="card shadow mb-4">
    <div class="card-header py-3">
        <h6 class="m-0 font-weight-bold text-primary">Zarządzenia postami</h6>
    </div>
    <div class="card-body">
        <div class="table-responsive">
            <div class="dt-bootstrap4">
                <div class="row m-0 mb-1">
                    <div class="col-sm-12 col-md-6">
                    </div>
                    <div class="col-sm-12 col-md-6 align-content-end justify-content-end" style="display: flex;">
                        <a asp-action="Create" class="btn btn-primary">Dodaj post</a>
                    </div>
                </div>
                <div class="row m-0">
                    <div class="col-sm-12">
                        <table class="table table-bordered dataTable posts-table" id="dataTable" width="100%" cellspacing="0" role="grid" aria-describedby="dataTable_info" style="width: 100%;">
                            <thead>
                            <tr>
                                <th rowspan="1" colspan="1">ID</th><th rowspan="1" colspan="1">Nazwa</th><th rowspan="1" colspan="1">Miniatura</th><th rowspan="1" colspan="1">Akcje</th>
                            </tr>
                            </thead>
                            <tbody>

                            @foreach (var post in @Model.Posts)
                            {
                                <tr role="row" class="odd">
                                    <td class="sorting_1">@post.Id</td>
                                    <td>@post.Title</td>
                                    <td>
                                        <img style="max-width: 50px; height: auto;" alt="@post.Title" src="@post.ImageUrl"/>
                                    </td>
                                    <td>
                                        <a class="btn btn-warning" asp-action="Remove" asp-route-id="@post.Id">Usuń</a>
                                    </td>
                                </tr>
                            }
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>